import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const checkoutIntent = await client.checkoutIntents.create({ buyer: { address1: '123 Main St', city: 'New York', country: 'US', email: 'john.doe@example.com', firstName: 'John', lastName: 'Doe', phone: '1234567890', postalCode: '10001', province: 'NY', }, productUrl: 'https://www.amazon.com/dp/B0DFC9MT8Q', quantity: 1,});console.log(checkoutIntent);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
checkout_intent = client.checkout_intents.create(
buyer={
"address1": "123 Main St",
"city": "New York",
"country": "US",
"email": "john.doe@example.com",
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"postal_code": "10001",
"province": "NY",
},
product_url="https://www.amazon.com/dp/B0DFC9MT8Q",
quantity=1,
)
print(checkout_intent)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.checkoutintents.Buyer;
import com.rye.models.checkoutintents.CheckoutIntent;
import com.rye.models.checkoutintents.CheckoutIntentCreateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
CheckoutIntentCreateParams params = CheckoutIntentCreateParams.builder()
.buyer(Buyer.builder()
.address1("123 Main St")
.city("New York")
.country("US")
.email("john.doe@example.com")
.firstName("John")
.lastName("Doe")
.phone("1234567890")
.postalCode("10001")
.province("NY")
.build())
.productUrl("https://www.amazon.com/dp/B0DFC9MT8Q")
.quantity(1)
.build();
CheckoutIntent checkoutIntent = client.checkoutIntents().create(params);
}
}
Create a checkout intent with the given request body.
POST
/
api
/
v1
/
checkout-intents
JavaScript
import CheckoutIntents from 'checkout-intents';const client = new CheckoutIntents({ apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted});const checkoutIntent = await client.checkoutIntents.create({ buyer: { address1: '123 Main St', city: 'New York', country: 'US', email: 'john.doe@example.com', firstName: 'John', lastName: 'Doe', phone: '1234567890', postalCode: '10001', province: 'NY', }, productUrl: 'https://www.amazon.com/dp/B0DFC9MT8Q', quantity: 1,});console.log(checkoutIntent);
import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
checkout_intent = client.checkout_intents.create(
buyer={
"address1": "123 Main St",
"city": "New York",
"country": "US",
"email": "john.doe@example.com",
"first_name": "John",
"last_name": "Doe",
"phone": "1234567890",
"postal_code": "10001",
"province": "NY",
},
product_url="https://www.amazon.com/dp/B0DFC9MT8Q",
quantity=1,
)
print(checkout_intent)
package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.checkoutintents.Buyer;
import com.rye.models.checkoutintents.CheckoutIntent;
import com.rye.models.checkoutintents.CheckoutIntentCreateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
CheckoutIntentCreateParams params = CheckoutIntentCreateParams.builder()
.buyer(Buyer.builder()
.address1("123 Main St")
.city("New York")
.country("US")
.email("john.doe@example.com")
.firstName("John")
.lastName("Doe")
.phone("1234567890")
.postalCode("10001")
.province("NY")
.build())
.productUrl("https://www.amazon.com/dp/B0DFC9MT8Q")
.quantity(1)
.build();
CheckoutIntent checkoutIntent = client.checkoutIntents().create(params);
}
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rye","colors":{"primary":"#8FA957","light":"#71F47B","dark":"#4ED558"},"logo":{"light":"https://mintcdn.com/jolly-commerce/2QIqebHt5agkP3jl/logo/light.png?fit=max\u0026auto=format\u0026n=2QIqebHt5agkP3jl\u0026q=85\u0026s=2a4e22eb948fabaea0f01104b2df971e","dark":"https://mintcdn.com/jolly-commerce/2QIqebHt5agkP3jl/logo/dark.png?fit=max\u0026auto=format\u0026n=2QIqebHt5agkP3jl\u0026q=85\u0026s=47c75c6234a2fd03f4cfe608e5f90c75"},"favicon":"https://mintcdn.com/jolly-commerce/2QIqebHt5agkP3jl/favicon.svg?fit=max\u0026auto=format\u0026n=2QIqebHt5agkP3jl\u0026q=85\u0026s=74b75f6539d14cf8746d9fbd2034edc6","appearance":{"default":"light"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://console.commerce.jolly.dev/login"}},"footer":{"socials":{"twitter":"https://twitter.com/rye","linkedin":"https://www.linkedin.com/company/rye"}},"seo":{"metatags":{"canonical":"https://docs.commerce.jolly.dev"}},"integrations":{"koala":{"publicApiKey":"pk_95052208d158276836ec341f6a0080042796"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"jolly-commerce","hasAudioNarration":false,"actualSubdomain":"jolly-commerce","customDomains":["docs.commerce.jolly.dev"],"gitSource":{"type":"github","owner":"rye-com","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6accf0cbe4af841eed300616","collectionId":"bb8defe8-0802-4533-b881-325df86d53e4","liveDeploymentHistoryId":"6accf0cbe4af841eed300616","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6accf0cbe4af841eed300616","clientVersion":"0.0.3964","searchFilterCounts":[{"language":"default","tag":"Universal Checkout API Documentation","count":74},{"language":"default","tag":"API Reference","count":40},{"language":"default","tag":"Universal Checkout API","count":23},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Checkout Intents","count":7},{"language":"default","tag":"Rewards SDK","count":6},{"language":"default","tag":"Billing","count":6},{"language":"default","tag":"Test Helpers","count":6},{"language":"default","tag":"API Access \u0026 Environments","count":4},{"language":"default","tag":"Quickstart","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-v2/api-reference/checkout-intents/create-checkout-intent","slug":"/api-v2/api-reference/checkout-intents/create-checkout-intent","pageMetadata":{"title":"Create checkout intent","description":"Create a checkout intent with the given request body.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/create-checkout-intent","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a checkout intent with the given request body.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create checkout intent","description":"Create a checkout intent with the given request body.","deprecated":null,"version":null,"openapi":"/openapi.documented.yml post /api/v1/checkout-intents","href":"/api-v2/api-reference/checkout-intents/create-checkout-intent","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"CreateCheckoutIntent","responses":{"201":"7b6205ae-4feb-4199-bced-a2d99ae583de","401":"efc598a0-c041-476d-89ae-4fe388b23ef1","422":"550a365c-e584-4bbb-b0fc-87b7bb612ddd","500":"69881233-9df5-4e20-bf08-4291c005f600","503":"1281cad6-bb93-4d8b-862d-31b0909250aa"},"description":"Create a checkout intent with the given request body.","summary":"Create checkout intent","tags":["Checkout Intents"],"security":["5444a21f-bfa7-4f6a-ac99-2ab486e8c3c5"],"parameters":[],"requestBody":"2dfd24f6-163a-4d67-909b-261fb2a00a09","x-codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst checkoutIntent = await client.checkoutIntents.create({\n buyer: {\n address1: '123 Main St',\n city: 'New York',\n country: 'US',\n email: 'john.doe@example.com',\n firstName: 'John',\n lastName: 'Doe',\n phone: '1234567890',\n postalCode: '10001',\n province: 'NY',\n },\n productUrl: 'https://www.amazon.com/dp/B0DFC9MT8Q',\n quantity: 1,\n});\n\nconsole.log(checkoutIntent);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\ncheckout_intent = client.checkout_intents.create(\n buyer={\n \"address1\": \"123 Main St\",\n \"city\": \"New York\",\n \"country\": \"US\",\n \"email\": \"john.doe@example.com\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"phone\": \"1234567890\",\n \"postal_code\": \"10001\",\n \"province\": \"NY\",\n },\n product_url=\"https://www.amazon.com/dp/B0DFC9MT8Q\",\n quantity=1,\n)\nprint(checkout_intent)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.checkoutintents.Buyer;\nimport com.rye.models.checkoutintents.CheckoutIntent;\nimport com.rye.models.checkoutintents.CheckoutIntentCreateParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n CheckoutIntentCreateParams params = CheckoutIntentCreateParams.builder()\n .buyer(Buyer.builder()\n .address1(\"123 Main St\")\n .city(\"New York\")\n .country(\"US\")\n .email(\"john.doe@example.com\")\n .firstName(\"John\")\n .lastName(\"Doe\")\n .phone(\"1234567890\")\n .postalCode(\"10001\")\n .province(\"NY\")\n .build())\n .productUrl(\"https://www.amazon.com/dp/B0DFC9MT8Q\")\n .quantity(1)\n .build();\n CheckoutIntent checkoutIntent = client.checkoutIntents().create(params);\n }\n}"},{"lang":"cURL","source":"curl https://api.commerce.staging.jolly.dev/api/v1/checkout-intents \\\n -H 'Content-Type: application/json' \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\" \\\n -d '{\n \"buyer\": {\n \"address1\": \"123 Main St\",\n \"city\": \"New York\",\n \"country\": \"US\",\n \"email\": \"john.doe@example.com\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"phone\": \"1234567890\",\n \"postalCode\": \"10001\",\n \"province\": \"NY\"\n },\n \"productUrl\": \"https://www.amazon.com/dp/B0DFC9MT8Q\",\n \"quantity\": 1,\n \"referenceId\": \"order-1234\"\n }'"}],"method":"post","type":"path","servers":["99c05a2f-4820-44d6-8ed6-ae02cdc31ff1"],"path":"/api/v1/checkout-intents","baseUrlOptions":["https://api.commerce.staging.jolly.dev"],"title":"Create checkout intent","codeSamples":[{"lang":"JavaScript","source":"import CheckoutIntents from 'checkout-intents';\n\nconst client = new CheckoutIntents({\n apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted\n});\n\nconst checkoutIntent = await client.checkoutIntents.create({\n buyer: {\n address1: '123 Main St',\n city: 'New York',\n country: 'US',\n email: 'john.doe@example.com',\n firstName: 'John',\n lastName: 'Doe',\n phone: '1234567890',\n postalCode: '10001',\n province: 'NY',\n },\n productUrl: 'https://www.amazon.com/dp/B0DFC9MT8Q',\n quantity: 1,\n});\n\nconsole.log(checkoutIntent);"},{"lang":"Python","source":"import os\nfrom checkout_intents import CheckoutIntents\n\nclient = CheckoutIntents(\n api_key=os.environ.get(\"CHECKOUT_INTENTS_API_KEY\"), # This is the default and can be omitted\n)\ncheckout_intent = client.checkout_intents.create(\n buyer={\n \"address1\": \"123 Main St\",\n \"city\": \"New York\",\n \"country\": \"US\",\n \"email\": \"john.doe@example.com\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"phone\": \"1234567890\",\n \"postal_code\": \"10001\",\n \"province\": \"NY\",\n },\n product_url=\"https://www.amazon.com/dp/B0DFC9MT8Q\",\n quantity=1,\n)\nprint(checkout_intent)"},{"lang":"Java","source":"package com.rye.example;\n\nimport com.rye.client.CheckoutIntentsClient;\nimport com.rye.client.okhttp.CheckoutIntentsOkHttpClient;\nimport com.rye.models.checkoutintents.Buyer;\nimport com.rye.models.checkoutintents.CheckoutIntent;\nimport com.rye.models.checkoutintents.CheckoutIntentCreateParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();\n\n CheckoutIntentCreateParams params = CheckoutIntentCreateParams.builder()\n .buyer(Buyer.builder()\n .address1(\"123 Main St\")\n .city(\"New York\")\n .country(\"US\")\n .email(\"john.doe@example.com\")\n .firstName(\"John\")\n .lastName(\"Doe\")\n .phone(\"1234567890\")\n .postalCode(\"10001\")\n .province(\"NY\")\n .build())\n .productUrl(\"https://www.amazon.com/dp/B0DFC9MT8Q\")\n .quantity(1)\n .build();\n CheckoutIntent checkoutIntent = client.checkoutIntents().create(params);\n }\n}"},{"lang":"cURL","source":"curl https://api.commerce.staging.jolly.dev/api/v1/checkout-intents \\\n -H 'Content-Type: application/json' \\\n -H \"Authorization: Bearer $CHECKOUT_INTENTS_API_KEY\" \\\n -d '{\n \"buyer\": {\n \"address1\": \"123 Main St\",\n \"city\": \"New York\",\n \"country\": \"US\",\n \"email\": \"john.doe@example.com\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"phone\": \"1234567890\",\n \"postalCode\": \"10001\",\n \"province\": \"NY\"\n },\n \"productUrl\": \"https://www.amazon.com/dp/B0DFC9MT8Q\",\n \"quantity\": 1,\n \"referenceId\": \"order-1234\"\n }'"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","example":1,"minimum":0,"isRequired":true,"uniqueKey":"quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","example":"https://www.amazon.com/dp/B0DFC9MT8Q","isRequired":true,"uniqueKey":"productUrl","typeLabel":"string"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","maxItems":16,"uniqueKey":"promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"variantSelections","typeLabel":"object[]"}},"required":["buyer","quantity","productUrl"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"buyer":{"postalCode":"10001","country":"US","province":"NY","city":"New York","address1":"123 Main St","phone":"1234567890","email":"john.doe@example.com","lastName":"Doe","firstName":"John","address2":"Apt 1"},"quantity":1,"productUrl":"https://www.amazon.com/dp/B0DFC9MT8Q","referenceId":"order-1234","discoverPromoCodes":true,"constraints":{"offerRetrievalEffort":"max","maxShippingPrice":500,"maxTotalPrice":100000},"promoCodes":["SAVE20"],"variantSelections":[{"value":"Small, Red, XS, L, etc.","label":"Size, Color, etc."}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"7b6205ae-4feb-4199-bced-a2d99ae583de":{"description":"Created","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Retrieving Offer","required":["state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.0.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.0.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.0.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.0.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.0.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.0.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.0.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.0.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"state":{"type":"string","enum":["retrieving_offer"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.0.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.0.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.0.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.0.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.0.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.0.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.0.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.0.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.0.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.0.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.0.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.0.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.0.variantSelections","typeLabel":"object[]"}},"uniqueKey":"oneOf.0","typeLabel":"Retrieving Offer · object"},{"type":"object","title":"Awaiting Confirmation","required":["offer","state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.1.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.1.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.1.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.1.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.1.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.1.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.1.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string"},"offer":{"properties":{"shipping":{"properties":{"availableOptions":{"items":{"properties":{"cost":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].cost.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].cost.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].cost","typeLabel":"object"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].id","typeLabel":"string"},"deliveryEstimate":{"oneOf":[{"type":"object","description":"Estimated range of dates that items will be delivered in. At least one of\n`earliest` or `latest` are guaranteed to be set.\n\nInterpretation:\n\n* If both `earliest` and `latest` are set, then the delivery estimate is the range between the two dates.\n* If only `earliest` is set, then the delivery estimate is any date after that date.\n* If only `latest` is set, then the delivery estimate is any date before that date.","properties":{"latest":{"type":"string","format":"date-time","description":"Latest date that items will be delivered by.","example":"2026-03-28T00:00:00Z","uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.latest","typeLabel":"string\u003cdate-time>"},"earliest":{"type":"string","format":"date-time","description":"Earliest date that items will be delivered by.","example":"2026-03-25T00:00:00Z","uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.earliest","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate","typeLabel":"object | null"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX].discount","typeLabel":"object"}},"required":["cost","id"],"type":"object","uniqueKey":"oneOf.1.offer.shipping.availableOptions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping.availableOptions","typeLabel":"object[]"},"selectedOptionId":{"type":"string","uniqueKey":"oneOf.1.offer.shipping.selectedOptionId","typeLabel":"string"}},"required":["availableOptions"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.shipping","typeLabel":"object"},"cost":{"properties":{"total":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.total.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.total.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.total","typeLabel":"object"},"subtotal":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.subtotal.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.subtotal.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.subtotal","typeLabel":"object"},"surcharge":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.surcharge.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.surcharge.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.1.offer.cost.surcharge","typeLabel":"object"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.1.offer.cost.discount","typeLabel":"object"},"tax":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.tax.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.tax.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.1.offer.cost.tax","typeLabel":"object"},"shipping":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.cost.shipping.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.cost.shipping.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.1.offer.cost.shipping","typeLabel":"object"}},"required":["total","subtotal"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.cost","typeLabel":"object"},"commission":{"properties":{"estimate":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.1.offer.commission.estimate","typeLabel":"boolean"},"amount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.1.offer.commission.amount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.1.offer.commission.amount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer.commission.amount","typeLabel":"object"}},"required":["estimate","amount"],"type":"object","description":"The commission a developer would earn if this offer is placed.","uniqueKey":"oneOf.1.offer.commission","typeLabel":"object"},"appliedPromoCodes":{"items":{"type":"string","uniqueKey":"oneOf.1.offer.appliedPromoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.1.offer.appliedPromoCodes","typeLabel":"string[]"}},"required":["shipping","cost"],"type":"object","isRequired":true,"uniqueKey":"oneOf.1.offer","typeLabel":"object"},"state":{"type":"string","enum":["awaiting_confirmation"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.1.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.1.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.1.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.1.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.1.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.1.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.1.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.1.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.1.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.1.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.1.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.1.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.1.variantSelections","typeLabel":"object[]"},"paymentMethod":{"oneOf":[{"type":"object","title":"Stripe","required":["stripeToken","type"],"properties":{"stripeToken":{"type":"string","example":"tok_1RkrWWHGDlstla3f1Fc7ZrhH","isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.0.stripeToken","typeLabel":"string"},"type":{"type":"string","enum":["stripe_token"],"nullable":false,"example":"stripe_token","isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.1.paymentMethod.oneOf.0","typeLabel":"Stripe · object"},{"type":"object","title":"Basis Theory","required":["basisTheoryToken","type"],"properties":{"basisTheoryToken":{"type":"string","isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.1.basisTheoryToken","typeLabel":"string"},"type":{"type":"string","enum":["basis_theory_token"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.1.paymentMethod.oneOf.1","typeLabel":"Basis Theory · object"},{"type":"object","title":"Drawdown","required":["type"],"properties":{"type":{"type":"string","enum":["drawdown"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.1.paymentMethod.oneOf.2","typeLabel":"Drawdown · object"},{"type":"object","title":"X402","required":["network","type"],"properties":{"network":{"type":"string","enum":["base","solana","tempo"],"isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.3.network","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.1.paymentMethod.oneOf.3.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.1.paymentMethod.oneOf.3","typeLabel":"X402 · object"}],"uniqueKey":"oneOf.1.paymentMethod","typeLabel":"Stripe · object | Basis Theory · object | Drawdown · object | X402 · object"}},"uniqueKey":"oneOf.1","typeLabel":"Awaiting Confirmation · object"},{"type":"object","title":"Requires Action","required":["nextAction","paymentMethod","offer","state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.2.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.2.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.2.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.2.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.2.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.2.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.2.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.id","typeLabel":"string"},"nextAction":{"properties":{"x402":{"properties":{"expiresAt":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.expiresAt","typeLabel":"string"},"recipient":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.recipient","typeLabel":"string"},"currency":{"type":"string","enum":["USDC"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.currency","typeLabel":"enum\u003cstring>"},"maxAmountRequired":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.maxAmountRequired","typeLabel":"string"},"network":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.network","typeLabel":"string"},"scheme":{"type":"string","enum":["exact"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402.scheme","typeLabel":"enum\u003cstring>"}},"required":["expiresAt","recipient","currency","maxAmountRequired","network","scheme"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.nextAction.x402","typeLabel":"object"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.nextAction.type","typeLabel":"enum\u003cstring>"}},"required":["x402","type"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.nextAction","typeLabel":"object"},"paymentMethod":{"oneOf":[{"type":"object","title":"Stripe","required":["stripeToken","type"],"properties":{"stripeToken":{"type":"string","example":"tok_1RkrWWHGDlstla3f1Fc7ZrhH","isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.0.stripeToken","typeLabel":"string"},"type":{"type":"string","enum":["stripe_token"],"nullable":false,"example":"stripe_token","isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.0","typeLabel":"Stripe · object"},{"type":"object","title":"Basis Theory","required":["basisTheoryToken","type"],"properties":{"basisTheoryToken":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.1.basisTheoryToken","typeLabel":"string"},"type":{"type":"string","enum":["basis_theory_token"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.1","typeLabel":"Basis Theory · object"},{"type":"object","title":"Drawdown","required":["type"],"properties":{"type":{"type":"string","enum":["drawdown"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.2","typeLabel":"Drawdown · object"},{"type":"object","title":"X402","required":["network","type"],"properties":{"network":{"type":"string","enum":["base","solana","tempo"],"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.3.network","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.3.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod.oneOf.3","typeLabel":"X402 · object"}],"isRequired":true,"uniqueKey":"oneOf.2.paymentMethod","typeLabel":"Stripe · object | Basis Theory · object | Drawdown · object | X402 · object"},"offer":{"properties":{"shipping":{"properties":{"availableOptions":{"items":{"properties":{"cost":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].cost.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].cost.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].cost","typeLabel":"object"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].id","typeLabel":"string"},"deliveryEstimate":{"oneOf":[{"type":"object","description":"Estimated range of dates that items will be delivered in. At least one of\n`earliest` or `latest` are guaranteed to be set.\n\nInterpretation:\n\n* If both `earliest` and `latest` are set, then the delivery estimate is the range between the two dates.\n* If only `earliest` is set, then the delivery estimate is any date after that date.\n* If only `latest` is set, then the delivery estimate is any date before that date.","properties":{"latest":{"type":"string","format":"date-time","description":"Latest date that items will be delivered by.","example":"2026-03-28T00:00:00Z","uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.latest","typeLabel":"string\u003cdate-time>"},"earliest":{"type":"string","format":"date-time","description":"Earliest date that items will be delivered by.","example":"2026-03-25T00:00:00Z","uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.earliest","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate","typeLabel":"object | null"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX].discount","typeLabel":"object"}},"required":["cost","id"],"type":"object","uniqueKey":"oneOf.2.offer.shipping.availableOptions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping.availableOptions","typeLabel":"object[]"},"selectedOptionId":{"type":"string","uniqueKey":"oneOf.2.offer.shipping.selectedOptionId","typeLabel":"string"}},"required":["availableOptions"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.shipping","typeLabel":"object"},"cost":{"properties":{"total":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.total.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.total.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.total","typeLabel":"object"},"subtotal":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.subtotal.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.subtotal.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.subtotal","typeLabel":"object"},"surcharge":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.surcharge.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.surcharge.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.2.offer.cost.surcharge","typeLabel":"object"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.2.offer.cost.discount","typeLabel":"object"},"tax":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.tax.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.tax.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.2.offer.cost.tax","typeLabel":"object"},"shipping":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.cost.shipping.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.cost.shipping.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.2.offer.cost.shipping","typeLabel":"object"}},"required":["total","subtotal"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.cost","typeLabel":"object"},"commission":{"properties":{"estimate":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.2.offer.commission.estimate","typeLabel":"boolean"},"amount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.2.offer.commission.amount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.2.offer.commission.amount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer.commission.amount","typeLabel":"object"}},"required":["estimate","amount"],"type":"object","description":"The commission a developer would earn if this offer is placed.","uniqueKey":"oneOf.2.offer.commission","typeLabel":"object"},"appliedPromoCodes":{"items":{"type":"string","uniqueKey":"oneOf.2.offer.appliedPromoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.2.offer.appliedPromoCodes","typeLabel":"string[]"}},"required":["shipping","cost"],"type":"object","isRequired":true,"uniqueKey":"oneOf.2.offer","typeLabel":"object"},"state":{"type":"string","enum":["requires_action"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.2.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.2.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.2.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.2.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.2.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.2.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.2.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.2.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.2.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.2.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.2.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.2.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.2.variantSelections","typeLabel":"object[]"}},"uniqueKey":"oneOf.2","typeLabel":"Requires Action · object"},{"type":"object","title":"Placing Order","required":["paymentMethod","offer","state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.3.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.3.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.3.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.3.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.3.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.3.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.3.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.3.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.3.id","typeLabel":"string"},"paymentMethod":{"oneOf":[{"type":"object","title":"Stripe","required":["stripeToken","type"],"properties":{"stripeToken":{"type":"string","example":"tok_1RkrWWHGDlstla3f1Fc7ZrhH","isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.0.stripeToken","typeLabel":"string"},"type":{"type":"string","enum":["stripe_token"],"nullable":false,"example":"stripe_token","isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.0","typeLabel":"Stripe · object"},{"type":"object","title":"Basis Theory","required":["basisTheoryToken","type"],"properties":{"basisTheoryToken":{"type":"string","isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.1.basisTheoryToken","typeLabel":"string"},"type":{"type":"string","enum":["basis_theory_token"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.1","typeLabel":"Basis Theory · object"},{"type":"object","title":"Drawdown","required":["type"],"properties":{"type":{"type":"string","enum":["drawdown"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.2","typeLabel":"Drawdown · object"},{"type":"object","title":"X402","required":["network","type"],"properties":{"network":{"type":"string","enum":["base","solana","tempo"],"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.3.network","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.3.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod.oneOf.3","typeLabel":"X402 · object"}],"isRequired":true,"uniqueKey":"oneOf.3.paymentMethod","typeLabel":"Stripe · object | Basis Theory · object | Drawdown · object | X402 · object"},"offer":{"properties":{"shipping":{"properties":{"availableOptions":{"items":{"properties":{"cost":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].cost.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].cost.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].cost","typeLabel":"object"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].id","typeLabel":"string"},"deliveryEstimate":{"oneOf":[{"type":"object","description":"Estimated range of dates that items will be delivered in. At least one of\n`earliest` or `latest` are guaranteed to be set.\n\nInterpretation:\n\n* If both `earliest` and `latest` are set, then the delivery estimate is the range between the two dates.\n* If only `earliest` is set, then the delivery estimate is any date after that date.\n* If only `latest` is set, then the delivery estimate is any date before that date.","properties":{"latest":{"type":"string","format":"date-time","description":"Latest date that items will be delivered by.","example":"2026-03-28T00:00:00Z","uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.latest","typeLabel":"string\u003cdate-time>"},"earliest":{"type":"string","format":"date-time","description":"Earliest date that items will be delivered by.","example":"2026-03-25T00:00:00Z","uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.earliest","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate","typeLabel":"object | null"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX].discount","typeLabel":"object"}},"required":["cost","id"],"type":"object","uniqueKey":"oneOf.3.offer.shipping.availableOptions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping.availableOptions","typeLabel":"object[]"},"selectedOptionId":{"type":"string","uniqueKey":"oneOf.3.offer.shipping.selectedOptionId","typeLabel":"string"}},"required":["availableOptions"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.shipping","typeLabel":"object"},"cost":{"properties":{"total":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.total.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.total.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.total","typeLabel":"object"},"subtotal":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.subtotal.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.subtotal.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.subtotal","typeLabel":"object"},"surcharge":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.surcharge.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.surcharge.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.3.offer.cost.surcharge","typeLabel":"object"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.3.offer.cost.discount","typeLabel":"object"},"tax":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.tax.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.tax.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.3.offer.cost.tax","typeLabel":"object"},"shipping":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.cost.shipping.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.cost.shipping.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.3.offer.cost.shipping","typeLabel":"object"}},"required":["total","subtotal"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.cost","typeLabel":"object"},"commission":{"properties":{"estimate":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.3.offer.commission.estimate","typeLabel":"boolean"},"amount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.3.offer.commission.amount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.3.offer.commission.amount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer.commission.amount","typeLabel":"object"}},"required":["estimate","amount"],"type":"object","description":"The commission a developer would earn if this offer is placed.","uniqueKey":"oneOf.3.offer.commission","typeLabel":"object"},"appliedPromoCodes":{"items":{"type":"string","uniqueKey":"oneOf.3.offer.appliedPromoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.3.offer.appliedPromoCodes","typeLabel":"string[]"}},"required":["shipping","cost"],"type":"object","isRequired":true,"uniqueKey":"oneOf.3.offer","typeLabel":"object"},"state":{"type":"string","enum":["placing_order"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.3.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.3.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.3.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.3.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.3.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.3.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.3.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.3.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.3.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.3.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.3.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.3.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.3.variantSelections","typeLabel":"object[]"}},"uniqueKey":"oneOf.3","typeLabel":"Placing Order · object"},{"type":"object","title":"Completed","required":["orderId","paymentMethod","offer","state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.4.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.4.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.4.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.4.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.4.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.4.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.4.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.4.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.4.id","typeLabel":"string"},"orderId":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"oneOf.4.orderId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"oneOf.4.orderId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"oneOf.4.orderId","typeLabel":"string | null"},"paymentMethod":{"oneOf":[{"type":"object","title":"Stripe","required":["stripeToken","type"],"properties":{"stripeToken":{"type":"string","example":"tok_1RkrWWHGDlstla3f1Fc7ZrhH","isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.0.stripeToken","typeLabel":"string"},"type":{"type":"string","enum":["stripe_token"],"nullable":false,"example":"stripe_token","isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.0","typeLabel":"Stripe · object"},{"type":"object","title":"Basis Theory","required":["basisTheoryToken","type"],"properties":{"basisTheoryToken":{"type":"string","isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.1.basisTheoryToken","typeLabel":"string"},"type":{"type":"string","enum":["basis_theory_token"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.1","typeLabel":"Basis Theory · object"},{"type":"object","title":"Drawdown","required":["type"],"properties":{"type":{"type":"string","enum":["drawdown"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.2","typeLabel":"Drawdown · object"},{"type":"object","title":"X402","required":["network","type"],"properties":{"network":{"type":"string","enum":["base","solana","tempo"],"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.3.network","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.3.type","typeLabel":"enum\u003cstring>"}},"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod.oneOf.3","typeLabel":"X402 · object"}],"isRequired":true,"uniqueKey":"oneOf.4.paymentMethod","typeLabel":"Stripe · object | Basis Theory · object | Drawdown · object | X402 · object"},"offer":{"properties":{"shipping":{"properties":{"availableOptions":{"items":{"properties":{"cost":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].cost.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].cost.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].cost","typeLabel":"object"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].id","typeLabel":"string"},"deliveryEstimate":{"oneOf":[{"type":"object","description":"Estimated range of dates that items will be delivered in. At least one of\n`earliest` or `latest` are guaranteed to be set.\n\nInterpretation:\n\n* If both `earliest` and `latest` are set, then the delivery estimate is the range between the two dates.\n* If only `earliest` is set, then the delivery estimate is any date after that date.\n* If only `latest` is set, then the delivery estimate is any date before that date.","properties":{"latest":{"type":"string","format":"date-time","description":"Latest date that items will be delivered by.","example":"2026-03-28T00:00:00Z","uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.latest","typeLabel":"string\u003cdate-time>"},"earliest":{"type":"string","format":"date-time","description":"Earliest date that items will be delivered by.","example":"2026-03-25T00:00:00Z","uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.earliest","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate","typeLabel":"object | null"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX].discount","typeLabel":"object"}},"required":["cost","id"],"type":"object","uniqueKey":"oneOf.4.offer.shipping.availableOptions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping.availableOptions","typeLabel":"object[]"},"selectedOptionId":{"type":"string","uniqueKey":"oneOf.4.offer.shipping.selectedOptionId","typeLabel":"string"}},"required":["availableOptions"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.shipping","typeLabel":"object"},"cost":{"properties":{"total":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.total.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.total.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.total","typeLabel":"object"},"subtotal":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.subtotal.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.subtotal.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.subtotal","typeLabel":"object"},"surcharge":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.surcharge.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.surcharge.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.4.offer.cost.surcharge","typeLabel":"object"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.4.offer.cost.discount","typeLabel":"object"},"tax":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.tax.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.tax.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.4.offer.cost.tax","typeLabel":"object"},"shipping":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.cost.shipping.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.cost.shipping.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.4.offer.cost.shipping","typeLabel":"object"}},"required":["total","subtotal"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.cost","typeLabel":"object"},"commission":{"properties":{"estimate":{"type":"boolean","isRequired":true,"uniqueKey":"oneOf.4.offer.commission.estimate","typeLabel":"boolean"},"amount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.4.offer.commission.amount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.4.offer.commission.amount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer.commission.amount","typeLabel":"object"}},"required":["estimate","amount"],"type":"object","description":"The commission a developer would earn if this offer is placed.","uniqueKey":"oneOf.4.offer.commission","typeLabel":"object"},"appliedPromoCodes":{"items":{"type":"string","uniqueKey":"oneOf.4.offer.appliedPromoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.4.offer.appliedPromoCodes","typeLabel":"string[]"}},"required":["shipping","cost"],"type":"object","isRequired":true,"uniqueKey":"oneOf.4.offer","typeLabel":"object"},"state":{"type":"string","enum":["completed"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.4.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.4.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.4.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.4.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.4.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.4.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.4.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.4.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.4.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.4.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.4.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.4.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.4.variantSelections","typeLabel":"object[]"},"estimatedDeliveryDate":{"oneOf":[{"type":"string","format":"date-time","deprecated":true,"uniqueKey":"oneOf.4.estimatedDeliveryDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","deprecated":true,"uniqueKey":"oneOf.4.estimatedDeliveryDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.4.estimatedDeliveryDate","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"oneOf.4","typeLabel":"Completed · object"},{"type":"object","title":"Failed","required":["failureReason","state","buyer","quantity","productUrl","createdAt","id"],"properties":{"buyer":{"properties":{"postalCode":{"type":"string","example":"10001","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.postalCode","typeLabel":"string"},"country":{"type":"string","example":"US","isRequired":true,"uniqueKey":"oneOf.5.buyer.country","typeLabel":"string"},"province":{"type":"string","example":"NY","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.province","typeLabel":"string"},"city":{"type":"string","example":"New York","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.city","typeLabel":"string"},"address1":{"type":"string","example":"123 Main St","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.address1","typeLabel":"string"},"phone":{"type":"string","example":"1234567890","isRequired":true,"uniqueKey":"oneOf.5.buyer.phone","typeLabel":"string"},"email":{"type":"string","example":"john.doe@example.com","isRequired":true,"uniqueKey":"oneOf.5.buyer.email","typeLabel":"string"},"lastName":{"type":"string","example":"Doe","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.lastName","typeLabel":"string"},"firstName":{"type":"string","example":"John","maxLength":255,"isRequired":true,"uniqueKey":"oneOf.5.buyer.firstName","typeLabel":"string"},"address2":{"type":"string","example":"Apt 1","maxLength":255,"uniqueKey":"oneOf.5.buyer.address2","typeLabel":"string"}},"required":["postalCode","country","province","city","address1","phone","email","lastName","firstName"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.buyer","typeLabel":"object"},"quantity":{"type":"integer","format":"int32","minimum":0,"isRequired":true,"uniqueKey":"oneOf.5.quantity","typeLabel":"integer\u003cint32>"},"productUrl":{"type":"string","isRequired":true,"uniqueKey":"oneOf.5.productUrl","typeLabel":"string"},"createdAt":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.5.createdAt","typeLabel":"string\u003cdate-time>"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.5.id","typeLabel":"string"},"failureReason":{"properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.5.failureReason.message","typeLabel":"string"},"code":{"type":"string","enum":["unknown","checkout_intent_expired","payment_failed","payment_cvc_expired","insufficient_stock","product_out_of_stock","offer_retrieval_failed","order_placement_failed","developer_not_found","missing_shipping_method","unsupported_currency","invalid_input","incorrect_cost_breakdown","unsupported_store_no_guest_checkout","workflow_invocation_failed","variant_selections_invalid","variant_selections_required","form_validation_error","captcha_blocked","bot_protection_blocked","constraint_total_price_exceeded","constraint_shipping_cost_exceeded","promo_code_discovery_not_enabled","product_not_found"],"description":"Type derived from runtime array - always in sync","isRequired":true,"uniqueKey":"oneOf.5.failureReason.code","typeLabel":"enum\u003cstring>"}},"required":["message","code"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.failureReason","typeLabel":"object"},"state":{"type":"string","enum":["failed"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.5.state","typeLabel":"enum\u003cstring>"},"referenceId":{"type":"string","example":"order-1234","maxLength":255,"uniqueKey":"oneOf.5.referenceId","typeLabel":"string"},"discoverPromoCodes":{"type":"boolean","uniqueKey":"oneOf.5.discoverPromoCodes","typeLabel":"boolean"},"constraints":{"properties":{"offerRetrievalEffort":{"type":"string","enum":["max","low"],"description":"Controls how much effort the system should spend retrieving an offer.\n- 'max': Full effort including AI agent fallback (slower, higher success rate)\n- 'low': Fast API-only retrieval, fails if API unavailable (faster, lower success rate)\n\nDefault: 'max'","example":"max","uniqueKey":"oneOf.5.constraints.offerRetrievalEffort","typeLabel":"enum\u003cstring>"},"maxShippingPrice":{"type":"integer","format":"int32","example":500,"minimum":0,"uniqueKey":"oneOf.5.constraints.maxShippingPrice","typeLabel":"integer\u003cint32>"},"maxTotalPrice":{"type":"integer","format":"int32","example":100000,"minimum":0,"uniqueKey":"oneOf.5.constraints.maxTotalPrice","typeLabel":"integer\u003cint32>"}},"type":"object","uniqueKey":"oneOf.5.constraints","typeLabel":"object"},"promoCodes":{"items":{"type":"string","example":"SAVE20","description":"Promo code string with validation constraints.\n- Must contain only letters, digits, underscores, or hyphens\n- Maximum length of 32 characters","pattern":"^[a-zA-Z0-9_\\-]+$","maxLength":32,"uniqueKey":"oneOf.5.promoCodes.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"oneOf.5.promoCodes","typeLabel":"string[]"},"variantSelections":{"items":{"properties":{"value":{"type":"string","maxLength":60,"example":"Small, Red, XS, L, etc.","isRequired":true,"uniqueKey":"oneOf.5.variantSelections.items.[INDEX].value","typeLabel":"string"},"label":{"type":"string","example":"Size, Color, etc.","maxLength":30,"isRequired":true,"uniqueKey":"oneOf.5.variantSelections.items.[INDEX].label","typeLabel":"string"}},"required":["value","label"],"type":"object","uniqueKey":"oneOf.5.variantSelections.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"oneOf.5.variantSelections","typeLabel":"object[]"},"paymentMethod":{"oneOf":[{"type":"object","title":"Stripe","required":["stripeToken","type"],"properties":{"stripeToken":{"type":"string","example":"tok_1RkrWWHGDlstla3f1Fc7ZrhH","isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.0.stripeToken","typeLabel":"string"},"type":{"type":"string","enum":["stripe_token"],"nullable":false,"example":"stripe_token","isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.5.paymentMethod.oneOf.0","typeLabel":"Stripe · object"},{"type":"object","title":"Basis Theory","required":["basisTheoryToken","type"],"properties":{"basisTheoryToken":{"type":"string","isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.1.basisTheoryToken","typeLabel":"string"},"type":{"type":"string","enum":["basis_theory_token"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.5.paymentMethod.oneOf.1","typeLabel":"Basis Theory · object"},{"type":"object","title":"Drawdown","required":["type"],"properties":{"type":{"type":"string","enum":["drawdown"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.5.paymentMethod.oneOf.2","typeLabel":"Drawdown · object"},{"type":"object","title":"X402","required":["network","type"],"properties":{"network":{"type":"string","enum":["base","solana","tempo"],"isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.3.network","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["x402"],"nullable":false,"isRequired":true,"uniqueKey":"oneOf.5.paymentMethod.oneOf.3.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.5.paymentMethod.oneOf.3","typeLabel":"X402 · object"}],"uniqueKey":"oneOf.5.paymentMethod","typeLabel":"Stripe · object | Basis Theory · object | Drawdown · object | X402 · object"},"offer":{"properties":{"shipping":{"properties":{"availableOptions":{"items":{"properties":{"cost":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].cost.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].cost.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].cost","typeLabel":"object"},"id":{"type":"string","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].id","typeLabel":"string"},"deliveryEstimate":{"oneOf":[{"type":"object","description":"Estimated range of dates that items will be delivered in. At least one of\n`earliest` or `latest` are guaranteed to be set.\n\nInterpretation:\n\n* If both `earliest` and `latest` are set, then the delivery estimate is the range between the two dates.\n* If only `earliest` is set, then the delivery estimate is any date after that date.\n* If only `latest` is set, then the delivery estimate is any date before that date.","properties":{"latest":{"type":"string","format":"date-time","description":"Latest date that items will be delivered by.","example":"2026-03-28T00:00:00Z","uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.latest","typeLabel":"string\u003cdate-time>"},"earliest":{"type":"string","format":"date-time","description":"Earliest date that items will be delivered by.","example":"2026-03-25T00:00:00Z","uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0.earliest","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].deliveryEstimate","typeLabel":"object | null"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].discount.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX].discount","typeLabel":"object"}},"required":["cost","id"],"type":"object","uniqueKey":"oneOf.5.offer.shipping.availableOptions.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping.availableOptions","typeLabel":"object[]"},"selectedOptionId":{"type":"string","uniqueKey":"oneOf.5.offer.shipping.selectedOptionId","typeLabel":"string"}},"required":["availableOptions"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.offer.shipping","typeLabel":"object"},"cost":{"properties":{"total":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.total.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.5.offer.cost.total.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.total","typeLabel":"object"},"subtotal":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.subtotal.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.5.offer.cost.subtotal.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.subtotal","typeLabel":"object"},"surcharge":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.surcharge.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","format":"int32","example":1500,"isRequired":true,"uniqueKey":"oneOf.5.offer.cost.surcharge.amountSubunits","typeLabel":"integer\u003cint32>"}},"required":["currencyCode","amountSubunits"],"type":"object","uniqueKey":"oneOf.5.offer.cost.surcharge","typeLabel":"object"},"discount":{"properties":{"currencyCode":{"type":"string","example":"USD","isRequired":true,"uniqueKey":"oneOf.5.offer.cost.discount.currencyCode","typeLabel":"string"},"amountSubunits":{"type":"integer","f
[...]
